# Created by pyp2rpm-3.3.8
%global pypi_name beniget

Name:           python-%{pypi_name}
Version:        0.4.1
Release:        %mkrel 1
Summary:        Extract semantic information about static Python code
Group:          Development/Python
License:        BSD 3-Clause
URL:            https://github.com/serge-sans-paille/beniget/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(gast) >= 0.5
BuildRequires:  python3dist(setuptools)

%description
A static analyzer for Python3 code. Beniget provides a static over-
approximation of the global and local definitions inside Python
Module/Class/Function. It can also compute def-use chains from each definition.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A static analyzer for Python3 code.Beniget provides a static over-
approximation of the global and local definitions inside Python
Module/Class/Function. It can also compute def-use chains from each definition.


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Thu Sep 08 2022 wally <wally> 0.4.1-1.mga9
+ Revision: 1885862
- imported package python-beniget

